*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html{
    scroll-behavior: smooth;
}

body{
    background-color: var(--body-color);
    animation: 1s fadeIn ease-in-out;
}

@keyframes fadeIn {
    0%{
        opacity: 0;
    }
    100%{
        opacity: 1;
    }
}

a{
    color: inherit;
    font-style: normal;
    text-decoration: none;
}

@font-face{
    font-family: 'Playfair Display'; /* Fixed font name */
    src: url("../fonts/Playfair_Display/PlayfairDisplay-Italic-VariableFont_wght.ttf") format('truetype');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'Rouge Script'; /* Fixed font name */
    src: url("../fonts/Rouge_Script/RougeScript-Regular.ttf") format('truetype');
    font-weight: normal;
    font-style: normal;
}

.hamburger {
    display: none;
}

:root{
    --button-color:#FF6201;
    --story-color:#FDECEF;
    --menu-color:#690500;
    --ambiance-color:#FCD757;
    --footer-color:#0D160B;
}

.logo{
    background-image: url(../images/generated-image.png);
    width: 8.5rem;
    height: 8.5rem;
    border: 0.4rem solid var(--button-color);
    border-radius: 50%;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

.logo:hover{
    transition: all 0.3s ease-in-out;
    transform: scale(1.2);
}

nav{
    position: fixed;
    color: white;
    z-index: 200;
    display: flex;
    justify-content: space-around;
    align-items: center;
    gap: 2rem;
    width: 100%;
    height: 12rem;
    background-color: transparent;
    font-family: 'Playfair Display';
}

nav ul{
    list-style-type: none;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 6rem;
    font-size: 1.6rem;
}

nav ul li:hover{
    transition: all 0.3s ease-in-out;
    transform: translateY(-0.5rem);
}

.nav-scrolled {
    color: black;
}

.nav-scrolled a:hover{
    transition: 0.01s ease-in-out;
}

.banner{
    background-image: url(../images/banner.jpg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    width: 100%;
    height: 80rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 8rem;
    font-family: 'Playfair Display';
}

.banner::before{
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: inherit;
    background: rgba(0, 0, 0, 0.7);
    z-index: 1;
}

button{
    cursor: pointer;
    padding: 1rem;
    font-size: 1.4rem;
    background-color: var(--button-color);
    color: white;
    border: none;
    width: 14rem;
    border-radius: 6rem;
    z-index: 99;
    font-family: 'PlayFair Display';
}

button:active, nav ul li:active, #submit-button:active{
    transition: all 0.3s ease-in-out;
    transform: translateY(0.5rem);
}

button:hover{
    background-color: #dc5602;
    transition: all 0.3s ease-in-out;
    transform: translateY(-0.5rem);
}

#submit-button:hover{
    transition: all 0.3s ease-in-out;
    transform: translateY(-0.5rem);
}

.banner-heading, .banner-subheading{
    z-index: 10;
    color: white;
}

.banner-heading{
    margin-top: 8rem;
    font-family: 'Rouge Script';
    font-size: 10rem;
}

.banner-subheading{
    font-size: 1.8rem;
    width: 70%;
    text-align: center;
    line-height: 2.2;
}

#story{
    background-color: var(--story-color);
    width: 100%;
    height: 80rem;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10rem;
}

.polaroid-frame{
    width: 40rem;
    height: 62rem;
    background-color: #fff;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    flex-direction: column;
    box-shadow: 0.4rem 0.8rem 1.2rem 0.5rem rgba(0, 0, 0, 0.25);
}

.polaroid-img{
    background-image: url(../images/polaroid.jpeg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    margin-top: 1.8rem;
    width: 92%;
    height: 80%;
}

article{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    width: 40%;
    gap: 5rem;
}

.heading{
    font-family: 'Rouge Script';
    font-size: 5rem;
    text-align: center;
    width: 80%;
}

.text{
    font-family: 'Playfair Display';
    width: 80%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    font-size: 1.3rem;
    text-align: center;
    letter-spacing: 0.2rem;
    line-height: 2.2;
}

#menu{
    height: 80rem;
    width: 100%;
    background-color: var(--menu-color);
    color: white;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    gap: 4rem;
    padding: 2rem;
}

.menu-heading{
    font-family: 'Rouge Script';
    font-size: 6rem;
    text-align: center;
}

.dishes{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    gap: 6rem;
    width: 100%;
    height: 50%;
}

.dish-box{
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    width: 40%;
    height: 50%;
    background-color: rgba(0, 0, 0, 0.5);
    border-radius: 5rem;
    border: #C58F19 0.2rem solid;
    gap: 4rem;
    box-shadow: 0.4rem 0.8rem 1.2rem 0.5rem rgba(0, 0, 0, 0.5);
    line-height: 2.2;
}

.dish-pic{
    height: 80%;
    width: 30%;
    border: #fff 0.4rem solid;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

.dish-description{
    height: 80%;
    width: 40%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 1rem;
    text-align: center;
}

.dish-name{
    font-family: 'Rouge Script';
    font-size: 2rem;
}

.dish-details{
    font-size: 1rem;
}

#img1{
    background-image: url(../images/Remys-ratatouille-2.jpg);
}

#img2{
    background-image: url(../images/goat\ cheese\ tart.jpg);
}

#img3{
    background-image: url(../images/beef-bourguignon_sarsmis_-_fotoliacom.jpg);
}

#img4{
    background-image: url(../images/chocolat.jpg);
}

.booking{
    margin-top: 10rem;
}

#ambiance{
    height: 80rem;
    width: 100%;
    background-color: var(--ambiance-color);
    display: flex;
    justify-content: center;
    align-items: center;
}

.ambiance-img{
    background-image: url(../images/vecteezy_interior-of-a-luxury-restaurant-with-tables-and-chairs_24571349.jpg);
    width: 55%;
    height: 100%;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

.ambiance-description{
    width: 45%;
    height: 100%;
}

#booking{
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 80rem;
    background-image: url(../images/booking\ image.jpg);
    color: white;
}

#booking::before{
    content: "";
    position: absolute;
    width: 100%;
    height: inherit;
    background: rgba(0, 0, 0, 0.8);
    z-index: 1;
}

.booking-description, .booking-form{
    z-index: 10;
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    gap: 4rem;
    height: 80%;
    width: 38%;
}

fieldset{
    display: flex;
    justify-content: center;
    align-items: flex-start;
    flex-direction: column;
    gap: 3rem;
    padding: 1.2rem;
    border: none;
    font-family: 'Playfair Display';
}

.booking-form{
    background: rgba(0, 0, 0, 0.7);
    border: 0.2rem #fff solid;
    border-radius: 5rem;
}

.field{
    font-size: 1.2rem;
}

legend{
    font-size: 2rem;
    font-family: 'Playfair Display';
}

#name, #guestcount, #date, #time, #phone, textarea{
    height: 2rem;
    background: rgba(0, 0, 0, 0.5);
    border: none;
    color: #898585;;
    font-size: 1rem;
    padding: 1rem;
    font-family: 'Playfair Display';
}

#guestcount{
    width: 15rem;
}

textarea{
    width: inherit;
    height: inherit;
}

textarea::placeholder ,input::placeholder{
    color: #898585;
    font-family: 'Playfair Display';
}

#submit-button{
    padding: 1rem;
    background-color: black;
    color: white;
    border: white 0.1rem solid;
    width: 10rem;
    font-size: 1.2rem;
    border-radius: 5rem;
    cursor: pointer;
    align-self: flex-end;
    font-family: 'Playfair Display';
}

footer{
    padding: 2rem;
    width: 100%;
    height: 25rem;
    background-color: var(--footer-color);
    color: white;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 2rem;
}

.foots{
    height: inherit;
    width: inherit;
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-direction: row;
}

.footlinks ul{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: row;
    width: 100%;
    list-style-type: none;
    gap: 10rem;
}

.footlinks ul li{
    font-size: 1.2rem;
    font-family: 'PlayFair Display';
}

.footer-heading{
    font-family: 'Rouge Script';
    font-size: 2.4rem;
}

hr{
    color: white;
    width: 100%;
}

.copyright{
    align-self: flex-end;
    margin-top: 2rem;
    font-family: 'PlayFair Display';
    font-size: 1rem;
}